Skip to content

Query Events

Request

Queries events from the SIEM configured with the token used for authentication.

Operation ID: siem_query_events

Security
BearerAuth
Query
cursorstring or null

Cursor to use to retrieve the next page of results.

limitinteger or null

Number of events to return per page. Defaults to 100 with a maximum of 5000. If a provider has a maximum limit lower than 5000, the provider's maximum limit will be used instead. A page may hold fewer results than limit, or none, even when more remain; keep paging until the returned cursor is empty.

orderArray of strings

Select a field to order the results by. Defaults to time descending (newest first). To control the direction of the sorting, append [asc] or [desc] to the field name. For example, name[desc] will sort the results by name in descending order. Bare order=time is descending. May be used multiple times to order by multiple fields, and the ordering is applied in the order the fields are specified.

filterArray of strings

Filter results by this query. For more information on filtering, refer to our Filtering Guide. Defaults to no filter. If used more than once, the queries are ANDed together.

metaArray of strings

Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.

passthrough-paramArray of strings

Provider-specific query to pass through to the SIEM. This is useful for advanced queries that are not supported by the API. The keys and values are provider-specific. For example, to perform a specific query in Rapid7 IDR, you can use the query: "{advanced query}" key-value pair.

include_raw_databoolean or null

Include the raw data from the SIEM in the response. This is useful for debugging and troubleshooting. Defaults to false.

curl
curl -i -X GET \
  https://api.synqly.com/v1/siem/events \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Bodyapplication/json
cursorstringrequired

Cursor to use to retrieve the next page of results

resultArray of objectsrequired

List of events

statusstring(QueryStatus)required

If the provider supports asynchronous queries and the query is still running, this field will be PENDING until the query is complete. In this case, the client should retry using the provided cursor.

Enum:"PENDING""COMPLETE"
messagesobject or null(MessagesResponse)

Additional messages from the service response that may be helpful to the client.

metaobject or null(MetaResponse)

Various metadata about the results organized by group, then type, then field.

Response
{ "result": [ {} ], "cursor": "string", "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } }, "status": "PENDING" }